package com.sf.di.service.impl;


import com.sf.di.mapper.BookMapper;
import com.sf.di.service.BookService;

/**
 * @author WanJl
 * @version 1.0
 * @title BookServiceImpl
 * @description
 * @create 2025/11/30
 */
public class BookServiceImpl implements BookService {
    private BookMapper  bookMapper;
    //构造方法注入方式
    public BookServiceImpl(BookMapper bookMapper) {
        this.bookMapper = bookMapper;
    }


    @Override
    public void queryAllBook() {
        System.out.println("bookServiceImpl.queryAllBook");
        bookMapper.selectAllBook();
    }
}
